<?php
	class sms_new extends WP_SMS {
		private $wsdl_link = "http://ip.sms.ir/ws/SendReceive.asmx?wsdl";
		private $wsdl_link_users = "http://ip.sms.ir/ws/Users.asmx?wsdl";
		public $tariff = "http://sms.ir/";
		public $panel = "sms.ir";
		public $unitrial = false;
		public $unit;
		public $flash = "disable";
		public $isflash = false;

		public function __construct() {
			parent::__construct();
			ini_set("soap.wsdl_cache_enabled", "0");
		}

		public function SendSMS() {
			if($this->to){
				foreach($this->to as $key=>$value){
					$number[] = doubleval($value);
				}
				@$numbers = array_unique($number);
				
				$parameters['userName'] = $this->username;
				$parameters['password'] = $this->password;
				$parameters['mobileNos'] = $numbers;
				$parameters['messages'] = $this->msg;
				$parameters['lineNumber'] = $this->from; 
				$parameters['sendDateTime'] = date("Y-m-d")."T".date("H:i:s");

				date_default_timezone_set('Asia/Tehran');
				$client= new SoapClient($this->wsdl_link);
				
				if(get_option('wpsms_stcc_number')){
					if (count($numbers) == 1) {
						$num = $numbers[0];

						$ccparameters['userName'] = $this->username;
						$ccparameters['password'] = $this->password;
						$ccparameters['messageBody'] = $this->msg;
						$ccparameters['mobile'] = $num;
						$ccparameters['message'] = $this->msg; 

						$check_if_in_cc = $this->inserttosmscustomerclub("",$num);
						$SendMessageToOneCustomerClub = $client->SendMessageToOneCustomerClub($ccparameters);
						$SendToOneCustomerClub = get_object_vars($SendMessageToOneCustomerClub);
						$SendToOneCustomerClubresult = $SendToOneCustomerClub['SendMessageToOneCustomerClubResult'];
						if($SendToOneCustomerClubresult == 1){
							$this->InsertToDB($this->from, $this->msg, $this->to);
							$this->Hook('wp_sms_send', $result);
							return true;
						} else {
							return false;
						}
					} else {
						$SendMessage = $client->SendBulkMessageWithLineNumber($parameters);
						$SendMessageWithLine = get_object_vars($SendMessage);
						$sendresult = $SendMessageWithLine['SendBulkMessageWithLineNumberResult'];
						@$transid = get_object_vars($sendresult);
						$transidvalue = $transid['long'];
						if(is_array($transidvalue)){
							$i=0;
							foreach($transidvalue as $key=>$value){
								$i=$i+1;
							}	
						} else {
							$i=1;
						}			
						if(($i>0) || isset($transidvalue)){
							$this->InsertToDB($this->from, $this->msg, $this->to);
							$this->Hook('wp_sms_send', $result);
							return true;
						} else {
							return false;
						}
					}
				} else {
					$SendMessage = $client->SendBulkMessageWithLineNumber($parameters);
					$SendMessageWithLine = get_object_vars($SendMessage);
					$sendresult = $SendMessageWithLine['SendBulkMessageWithLineNumberResult'];
					@$transid = get_object_vars($sendresult);
					$transidvalue = $transid['long'];
					if(is_array($transidvalue)){
						$i=0;
						foreach($transidvalue as $key=>$value){
							$i=$i+1;
						}	
					} else {
						$i=1;
					}			
					if(($i>0) || isset($transidvalue)){
						$this->InsertToDB($this->from, $this->msg, $this->to);
						$this->Hook('wp_sms_send', $result);
						return true;
					} else {
						return false;
					}
				}
			}
		}

		public function SendSMStoCustomerclubContacts($message) {
		
			date_default_timezone_set('Asia/Tehran');
			$client= new SoapClient($this->wsdl_link);
			
			$parameters['userName'] = $this->username;
			$parameters['password'] = $this->password;
			$parameters['messageBody'] = $message;
			$parameters['message'] = $message; 

			$SendMessage = $client->SendMessageCustomerClub($parameters);
			
			$SendMessageWithLine = get_object_vars($SendMessage);
			$sendresult = $SendMessageWithLine['SendMessageCustomerClubResult'];

			if($sendresult == 1){
				$this->InsertToDBclub($this->from, $message);
				$this->Hook('wp_sms_send', $result);
				return true;
			} else {
				return false;
			}
		}
		
		public function GetCredit() {
			$parameters['userName'] = $this->username;
			$parameters['password'] = $this->password;

			date_default_timezone_set('Asia/Tehran');
			$client= new SoapClient($this->wsdl_link);
			$UserCredit = $client->GetUserCredit($parameters);
			$UserCreditget = get_object_vars($UserCredit);
			$UserCreditresult = $UserCreditget['GetUserCreditResult'];
			$UserCreditres = doubleval($UserCreditresult);
			return $UserCreditres;
		}
		
		public function inserttosmscustomerclub($user_name,$mobile){
			if($mobile){
				$parameters['userName'] = $this->username;
				$parameters['password'] = $this->password;
				$parameters['lastName'] = $user_name;
				$parameters['mobile'] = $mobile;

				date_default_timezone_set('Asia/Tehran');
				$client= new SoapClient($this->wsdl_link_users);
				$insertTocustomerclub = $client->InserNewContactCustomerClub($parameters);
				
				$customerclubget = get_object_vars($insertTocustomerclub);
				$customerclubresult = $customerclubget['InserNewContactCustomerClubResult'];
				if($customerclubresult == 1){
					return true;
				} else {
					return false;
				}
			}
		}
	}
?>